Package org.springframework.context.annotation

# Class CommonAnnotationBeanPostProcessor.LookupElement

java.lang.Object
org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement
org.springframework.context.annotation.CommonAnnotationBeanPostProcessor.LookupElement

Enclosing class:
  CommonAnnotationBeanPostProcessor

protected abstract static class CommonAnnotationBeanPostProcessor.LookupElement extends org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement
Class representing generic injection information about an annotated field or setter method, supporting @Resource and related annotations.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`isDefaultName`
`protected Class<?>`
`lookupType`
`protected String`
`mappedName`
`protected String`
`name`

### Fields inherited from class org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement

`isField, member, pd, skip`

## Constructor Summary

Constructors
Constructor
Description
`LookupElement(Member member, PropertyDescriptor pd)`

## Method Summary

Modifier and Type
Method
Description
`final org.springframework.beans.factory.config.DependencyDescriptor`
`getDependencyDescriptor()`
Build a DependencyDescriptor for the underlying field/method.
`final Class<?>`
`getLookupType()`
Return the desired type for the lookup.
`final String`
`getName()`
Return the resource name for the lookup.

### Methods inherited from class org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement

`checkPropertySkipping, checkResourceType, clearPropertySkipping, equals, getMember, getResourceToInject, getResourceType, hashCode, inject, shouldInject, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### name

protected String name

### isDefaultName

protected boolean isDefaultName

### lookupType

protected Class<?> lookupType

### mappedName

@Nullable protected String mappedName

## Constructor Details

### LookupElement

public LookupElement(Member member, @Nullable PropertyDescriptor pd)

## Method Details

### getName

public final String getName()
Return the resource name for the lookup.

### getLookupType

public final Class<?> getLookupType()
Return the desired type for the lookup.

### getDependencyDescriptor

public final org.springframework.beans.factory.config.DependencyDescriptor getDependencyDescriptor()
Build a DependencyDescriptor for the underlying field/method.